<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net/thymeleaf/layout"
      layout:decorate="~{layout/layout}">
<head>
    <meta charset="UTF-8">
    <title>Create Book</title>
    <link rel="stylesheet" href="/bootstrap.min.css">
    <link rel="stylesheet" href="/style.css">
</head>
<body>

    <div layout:fragment="~{content}">
        <div class="col-md-8 offset-md-2 margin">
            <form action="/create/submit" method="post" th:object="${book}" enctype="multipart/form-data">
                <div class="form-group">
                    <label >Id</label>
                    <input type="text" class="form-control" th:field="*{id}" ><span class="text-danger" th:if="${#fields.hasErrors()}" th:errors="*{id}"></span>

                    <!--
                    # why not #{} ?
                    th:if="${#fields.hasErrors()} catch error occur
                    th:errors="*{id}" return error to BindingResult
                    -->


                </div>
                <div class="form-group">
                    <label >Title</label>
                    <input type="text" class="form-control" th:field="*{title}" value="123"><span class="text-danger" th:if="${#fields.hasErrors()}" th:errors="*{title}"></span>
                </div>
                <div class="form-group">
                    <label >Author</label>
                    <input type="text" class="form-control" th:field="*{author}" value="book"><span class="text-danger" th:if="${#fields.hasErrors()}" th:errors="*{author}"></span>
                </div>
                <div class="form-group">
                    <label >Publisher</label>
                    <input type="text" class="form-control" th:field="*{publisher}" value="tester"> <span class="text-danger" th:if="${#fields.hasErrors()}" th:errors="*{publisher}"></span>
                </div>

                <div class="form-group">
                    <label >Category</label>
                    <select th:name="category.id" id="category_id">
                        <option class="btn" th:each="categories:${category}"  th:value="${categories.id}" th:text="${categories.name}"></option>
                    </select>
                </div>


                <input type="file" name="file">
                <br>
                <br>
                <input type="submit" class="btn btn-primary" value="Submit">
            </form>
        </div>
    </div>

</body>
</html>